#!/bin/bash

#call it with themrc parameter XRandrCallback=fly-map-to-touch.sh on MIG tablets

#if [ $DESKTOP_SESSION == "fly" ]; then
#  echo "fly-map-touch.sh is not for desktop session"
#  exit
#fi

touch_id=
output_id=

if [ ! -z "$1" ]; then
  touch_id="$1"
else
  #get touchscreen, pen and eraser devices
  touch_id=$(fly-wmfunc FLYWM_GET_INPUT_DEVICES 0xD | cut -f 1)
fi
if [ -z "$touch_id" ]; then exit; fi

if [ ! -z "$2" ]; then
  output_id="$2"
else
   #find embedded display
   output_id=$(xrandr 2>/dev/null | grep DSI -i | cut -f 1 -d ' ')
   if [ -z "$output_id" ]; then
   output_id=$(xrandr 2>/dev/null | grep eDP -i | cut -f 1 -d ' ')
   fi
   if [ -z "$output_id" ]; then
   output_id=$(xrandr 2>/dev/null | grep LVDS -i | cut -f 1 -d ' ')
   fi
fi
if [ -z "$output_id" ]; then exit; fi

echo "${touch_id}" | while read line
do
  #echo xinput map-to-output "$line" "$output_id"
  xinput map-to-output "$line" "$output_id"
done



