#!/bin/bash

#check if nested
#dont use anymore due to vmware horizon uses :100
#if [[ "${DISPLAY}" = *:10* ]]; then exit; fi
fly-wmfunc FLYWM_IS_NESTED_SESSION
if [ "$?" = 0 ]; then exit; fi

#if [[ "$DESKTOP_SESSION" == *"tablet"* ]]; then

power_button_id=`xinput | grep "Power Button" | cut -f2 | cut -c 4-`
gpio_button_id=`xinput | grep "gpio-keys" | cut -f2 | cut -c 4-`

xinput create-master Power
power_master_id=`xinput | grep "Power keyboard" | cut -f2 | cut -c 4-`

for button_i in ${power_button_id}; do
 xinput reattach $button_i $power_master_id
done
for button_i in ${gpio_button_id}; do
 xinput reattach $button_i $power_master_id
done

ATOM_NAME="HIDDEN_CURSOR_DEVICE"
xprop -root -format $ATOM_NAME 8s -set $ATOM_NAME true
ATOM_ID=`xlsatoms |grep $ATOM_NAME | cut -f1`

power_pointer_id=`xinput | grep Power | grep pointer | cut -f2 | cut -c 4-`
for pointer_i in ${power_pointer_id}; do
  xinput set-atom-prop $pointer_i $ATOM_ID true
done

#fi
