#!/bin/bash

#new rsvg is preferrable
#if test -x /usr/bin/rsvg-convert > /dev/null 2<&1; then
#  RSVG_VER="$(/usr/bin/rsvg-convert -v | cut -d' ' -f3)"
#  if [[ "$RSVG_VER" > "2.48.0" ]]; then
#    rsvg-convert -w $1 -h $2 -o "$4" "$3"
#  fi
#else
#  #inkscape is the best and reliable quality
#  if test -x /usr/bin/inkscape > /dev/null 2<&1; then
#    #dbus-run-session inkscape -z -w $1 -h $2 -e "$4" "$3"
#    inkscape -z -w $1 -h $2 -e "$4" "$3"
#  else
#    #rsvg is the fastest
#    if test -x /usr/bin/rsvg-convert > /dev/null 2<&1; then
#      rsvg-convert -w $1 -h $2 -o "$4" "$3"
#    else
#      #fallback to qt based converter
#      fly-svg2png  -w $1 -h $2 -i "$3" -o "$4"
#    fi
#  fi
#fi

#rsvg is the fastest
if test -x /usr/bin/rsvg-convert > /dev/null 2<&1; then
      rsvg-convert -w $1 -h $2 -o "$4" "$3"
else
  #inkscape is the best and reliable quality
  if test -x /usr/bin/inkscape > /dev/null 2<&1; then
    #dbus-run-session inkscape -z -w $1 -h $2 -e "$4" "$3"
    inkscape -z -w $1 -h $2 -e "$4" "$3"
  else
    #fallback to qt based converter
    fly-svg2png  -w $1 -h $2 -i "$3" -o "$4"
  fi
fi
