#!/bin/bash

#this script:
# - called only once at the first start when no ~/.fly or no ~/.fly/en.flywmrc (first start)
# - is hook to do custom first-start initialization
# - activated from fly-wm before ~/.fly creation/initialization/population

#NOTE: print 'discontinued' not to continue any initialization in fly-wm itself,
#      print 'continue' or 'continued' - to continue fly-wm's initialization immediately
#      else - fly-wm waits for this script finish and then continues initialization
#echo discontinued

#print it now to allow fly-wm continue initialization immediately
echo "continued"

if [ $LANG = "ru_RU.UTF-8" ]; then
#echo "Инициализация $USER..." | osd_cat --color=white --delay=5 --font=-rfx-helvetica-medium-r-normal--18-180-75-75-p-98-* --pos=middle --align=center &
echo  "Инициализация $USER..." | osd_cat --color=white --delay=5 --font=-*-terminus-bold-r-normal--32-* --pos=middle --align=center &
else
#echo "First Start $USER..."  | osd_cat --color=white --delay=5 --font=-*-helvetica-medium-r-normal--18-180-75-75-p-98-* --pos=middle --align=center &
echo  "First Start $USER..."  | osd_cat --color=white --delay=5 --font=-*-terminus-bold-r-normal--32-* --pos=middle --align=center &
fi

